% =========================================================================  
% Genetic Algorithms Tools for MathTools 
% =========================================================================  
%                             Copyright (c) 1999, 2000
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 861477, Tuscaloosa, AL 35486, USA.            
% =========================================================================  
%  THIS IS THE PROGRAM FOR TEST FUNCTION 5
%  THIS IS THE ROUTINE TO CALCULATE PI IN THE LQR PROBLEM
%=======================================================

function PI=ex5(gains)

gainsMAT = [gains(1) gains(2) gains(3) gains(4) gains(5);gains(6) gains(7) gains(8) gains(9) gains(10)];
dt=0.1;
PI=0.0;

%===============================
%Simulate for three different initial conditions
%Simulation time is 60 seconds
%===============================

x01=[0.07854;0.0;0.0;0.0;0.2;0.0];
x02=[0.07854;0.0;0.0;0.0;0.05;0.0];
x03=[0.0;0.0;0.0;0.1;0.0;0.0];

%..................
% First IC; % compute state derivatives
% x(6) is the PI
%..................

x1=x01;

for i=1:600
	u=- gainsMAT * x1(1:5);
	xd1(1,1)=-0.1315*x1(1)+0.1485*x1(2)+0.324*x1(4)-0.939*x1(5)+0.00012*u(1)+0.00033*u(2);
	xd1(2,1)=x1(4)+0.34*x1(5);
	xd1(3,1)=1.06*x1(5);
	xd1(4,1)=-10.61*x1(1)-1.18*x1(4)+1.002*x1(5)-0.1032*u(1)+0.021*u(2);
	xd1(5,1)=0.99*x1(1)-0.0018*x1(4)-0.259*x1(5)-0.0021*u(1)-0.0107*u(2);
	xd1(6,1)=0.5*(u(1)^2+u(2)^2+(x1(1)+x1(3))^2+x1(2)^2);
   x1=x1+xd1*dt;   
end

PI=PI+x1(6);

%..................
% Second IC; % compute state derivatives
% x(6) is the PI
%..................

x1=x02;

for i=1:600
	u=- gainsMAT * x1(1:5);
	xd1(1,1)=-0.1315*x1(1)+0.1485*x1(2)+0.324*x1(4)-0.939*x1(5)+0.00012*u(1)+0.00033*u(2);
	xd1(2,1)=x1(4)+0.34*x1(5);
	xd1(3,1)=1.06*x1(5);
	xd1(4,1)=-10.61*x1(1)-1.18*x1(4)+1.002*x1(5)-0.1032*u(1)+0.021*u(2);
	xd1(5,1)=0.99*x1(1)-0.0018*x1(4)-0.259*x1(5)-0.0021*u(1)-0.0107*u(2);
	xd1(6,1)=0.5*(u(1)^2+u(2)^2+(x1(1)+x1(3))^2+x1(2)^2);
   x1=x1+xd1*dt;   
end

PI=PI+x1(6);

%..................
% Third IC; % compute state derivatives
% x(6) is the PI
%..................

x1=x03;

for i=1:600
	u=- gainsMAT * x1(1:5);
	xd1(1,1)=-0.1315*x1(1)+0.1485*x1(2)+0.324*x1(4)-0.939*x1(5)+0.00012*u(1)+0.00033*u(2);
	xd1(2,1)=x1(4)+0.34*x1(5);
	xd1(3,1)=1.06*x1(5);
	xd1(4,1)=-10.61*x1(1)-1.18*x1(4)+1.002*x1(5)-0.1032*u(1)+0.021*u(2);
	xd1(5,1)=0.99*x1(1)-0.0018*x1(4)-0.259*x1(5)-0.0021*u(1)-0.0107*u(2);
	xd1(6,1)=0.5*(u(1)^2+u(2)^2+(x1(1)+x1(3))^2+x1(2)^2);
   x1=x1+xd1*dt;   
end

PI=PI+x1(6);

%=========================================================================    
% (c) Flexible Intelligence Group (FIG)    
% End of file
%===================================================================

