%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%    
% fminipop                        fminipop.m                    fminipop
% =========================================================================  
% Genetic Algorithms Tools for MathTools 
% =========================================================================  
%                             Copyright (c) 1999, 2000
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 861477, Tuscaloosa, AL 35486, USA.            
% =========================================================================  
%  PURPOSE   
%          Generate Initial random population of individuals.   
% .........................................................................   
% ...........................................................................   
%  OPERATION   
%         Generates random population of individuals   
% ...........................................................................   
%  GIVEN   
%	Npop 	
% 	Lchrom
% ...........................................................................   
%  RETURNS   
%         oldpop:  Population of chromosomes oldpop(1:Npop,1:Lchrom)   
% ...........................................................................   
%  APPLICATION   
%         In GA applications, part of intitialization.   
% ...........................................................................   
%   USES
%       for, rand, fix 
%  ==========================================================================  
%  SYNTAX / USAGE  
%       oldpop=fminipop(gap,fud)
%  ========================================================================= 

%  FUNCTION DECLARATION   
function oldpop=fminipop(gap,fud)
 
%  CODE    


tempin(1)=gap(3);
tempin(2)=fud(97);
pssparam(1)=2;
[pssparam(2), pssparam(3)]=size(tempin);
[temp]=ftgalib(pssparam, tempin);
Npop	= temp(1);
Lchrom	= temp(2);

   
        for i=1:Npop   
                x=rand(1,Lchrom); x=x*2.0;    
                oldpop(i,:)=fix(x);   
        end   

%=========================================================================   
% (c) Flexible Intelligence Group (FIG)   
% END fminipop.m   
% fminipop                        fminipop.m                    fminipop
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
