%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%    
% fmmutate                        fmmutate.m                    fmmutate
% =========================================================================  
% Genetic Algorithms Tools for MathTools 
% =========================================================================  
%                             Copyright (c) 1999, 2000
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 861477, Tuscaloosa, AL 35486, USA.            
% =========================================================================    
%  PURPOSE    
%          Mutation Function.    
% .........................................................................    
%  GIVEN    
%         xold	 :  Old Chromosome xold(1:Lchrom)    
%         Npop	 :  Number of population    
%         pmutate:  Probability of Mutation (mutation rate),< 0.01    
%         Lchrom :  Length of the chromosome    
% ...........................................................................    
%  OPERATION    
%         Based on mutation rate, performs mutation    
% ...........................................................................    
%  RETURNS    
%         xnew	 :  New Chromosome xnew(1:Lchrom)    
% ...........................................................................    
%  APPLICATION    
%         In GA applications, for restoring lost genetic material.    
%         Usually after the crossover operation.    
%         Improves global search.    
% ...........................................................................    
%   USES
%       for, rand, abs 
%  ==========================================================================    
%  SYNTAX  /  USAGE  
%       xnew=fmmutate(gap,fud,xold(1:Lchrom))     
%       xnew=fmmutate(gap,fud,xold)     
%  ==========================================================================  

%  FUNCTION DECLARATION    
function xnew=fmmutate(gap,fud,xold)    
  
% ==========================================================================    
%  CODE     
    
pssparam(1)=0;
pssparam(2)=gap(3);
pssparam(3)=fud(97);
pssparam(4)=gap(10);    

[xnew]=ftgalib(pssparam, xold);
   
%=========================================================================    
% (c) Flexible Intelligence Group (FIG)    
% END fmmutate.m    
% fmmutate                        fmmutate.m                    fmmutate
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
