%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%    
% fmshuffl                      fmshuffl.m                      fmshuffl
% =========================================================================  
% Genetic Algorithms Tools for MathTools 
% =========================================================================  
%                             Copyright (c) 1999, 2000
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 861477, Tuscaloosa, AL 35486, USA.            
% =========================================================================   
%  PURPOSE   
%          Generate sorted randomly generated indices   
% .........................................................................   
%  GIVEN   
%         Npop          :  Number of population   
% ...........................................................................   
%  OPERATION   
%         performs, selection of population based on the value of nselect.   
% ...........................................................................   
%  RETURNS   
%         index         :  index(1:Npop)   
% ...........................................................................   
%  APPLICATION   
%         In GA applications, for selecting suitable parents,used in select()   
% ...........................................................................   
%   USES
%       rand, sort 
%  ==========================================================================   
%  SYNTAX /  USAGE  
%       index=fmshuffl(Npop)

%FUNCTION DECLARATION
function index=fmshuffl(Npop)

%  CODE    
  
        x=rand(Npop,1);   
        [y,i]=sort(x);   
        index=i;   
%  ==========================================================================   
% (c) Flexible Intelligence Group (FIG)   
% END fmshuffl.m   
% fmshuffl                      fmshuffl.m                      fmshuffl
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
