%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%    
% Genetic Algorithms Tools for MathTools 
% =========================================================================  
%                             Copyright (c) 1999, 2000
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 861477, Tuscaloosa, AL 35486, USA.            
% =========================================================================  
%  PURPOSE   
%  THIS IS THE MAIN PROGRAM FOR RUNNING FlexGA 
%===================================================================

%#call ex4	%A necessary statement for declaring the file name where 
				%the objectve function resides.

fname='ex4'; %Objective function is programmed in ex4.m

% Next lines describe the required inputs to GA. See the manual for details.
size=10;
P_min = -3*ones(size,1);
P_max =  3*ones(size,1);
P_res = 0.01*ones(size,1);
P_type = 3*ones(size,1); %real and continuous with 3 bits to represent the region
 
% ........................................................................... 
% The next line is used to generate default values for flexga software 
% Choices include: 
%		=1 	Small problem; 	10 parameters or less; 	Regular GA
%		=2   	Medium problem; 	30 parameters or less; 	Regular GA
%		=3 	Small problem; 	10 parameters or less;	Micro GA
%		=4   	Medium problem; 	30 parameters or less;	Micro GA
%		=5 	Small problem;		10 parameters or less;	Steady-state GA
%		=6   	Medium problem;	30 parameters or less;	Steady-state GA 	
%		=7		Big problem;		30 parameters or more	Steady-state GA
% ........................................................................... 

gap=fmga_def(5);

% ........................................................................... 
% Display Option include 
%		=	0 (show no plots, no display)
%		= 	1 (Default, show plots of evolution)
%		= 	2 (show only Generation count)
%		=	3 (show data on screen and no plots. Data includes Generation #, 
%			    Max, Min, Avg Values)
% ........................................................................... 

G_disp=3;

% ...........................................................................   
% The program returns
% 	Jmax(1:Ngen)					=	A vector of maximum performance index values 
% 	Jmin(1:Ngen)					=	A vector of minimum performance index values
% 	Javg(1:Ngen)	 				=	A vector of average performance index values
% 	bestP(1:Noofpeaks,1:Noofp)	=	A matrix of best Parameter sets
% 	PI(1:popsize)					=	A vector of  fitness functions for the last generation   
%
% where
%	Ngen			= 	# of generations
%	Noofp			= 	# of parameters
%	Noofpeaks 	= 	# of desired sub-optimal solutions
%	popsize		= 	population Size
%.............................................................................

[max_PI,min_PI,avg_PI,bestP,PI]=flexga(fname,P_min,P_max,P_res,P_type,gap,G_disp);

% =========================================================================   
% (c) Flexible Intelligence Group (FIG)   
% END gaex4.m   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

